<?php
// $Id $

/**
 * @file
 * Provides default views on behalf of the comment_alter_taxonomy module.
 */

/**
 * Implementation of hook_views_default_views().
 */
function comment_alter_taxonomy_views_default_views() {
  $views = array();

  if (module_exists('project_issue')) {
    // ----------------------------------------
    // Term view across all projects
    // ----------------------------------------
    $view = new view;
    $view->name = 'project_issue_tag_all_projects';
    $view->description = 'Project issues for all projects by issue tag';
    $view->tag = 'Project issue';
    $view->view_php = '';
    $view->base_table = 'node';
    $view->is_cacheable = FALSE;
    $view->api_version = 2;
    $view->disabled = FALSE;
    $handler = $view->new_display('default', 'Defaults', 'default');
    $handler->override_option('relationships', array(
      'assigned' => array(
        'label' => 'Assigned user',
        'required' => 0,
        'id' => 'assigned',
        'table' => 'project_issues',
        'field' => 'assigned',
        'relationship' => 'none',
      ),
      'rid' => array(
        'label' => 'Version',
        'required' => 0,
        'id' => 'rid',
        'table' => 'project_issues',
        'field' => 'rid',
        'relationship' => 'none',
      ),
      'pid' => array(
        'id' => 'pid',
        'table' => 'project_issues',
        'field' => 'pid',
      ),
    ));
    $handler->override_option('fields', array(
      'project_issue_queue' => array(
        'label' => 'Project',
        'exclude' => 0,
        'id' => 'project_issue_queue',
        'table' => 'node',
        'field' => 'project_issue_queue',
        'relationship' => 'pid',
      ),
      'title' => array(
        'label' => 'Summary',
        'link_to_node' => 1,
        'exclude' => 0,
        'id' => 'title',
        'table' => 'node',
        'field' => 'title',
        'relationship' => 'none',
      ),
      'sid' => array(
        'id' => 'sid',
        'table' => 'project_issues',
        'field' => 'sid',
      ),
      'priority' => array(
        'id' => 'priority',
        'table' => 'project_issues',
        'field' => 'priority',
      ),
      'category' => array(
        'label' => 'Category',
        'link_to_node' => 0,
        'exclude' => 0,
        'id' => 'category',
        'table' => 'project_issues',
        'field' => 'category',
        'relationship' => 'none',
      ),
      'comment_count' => array(
        'label' => 'Replies',
        'set_precision' => FALSE,
        'precision' => 0,
        'decimal' => '.',
        'separator' => ',',
        'prefix' => '',
        'suffix' => '',
        'exclude' => 0,
        'id' => 'comment_count',
        'table' => 'node_comment_statistics',
        'field' => 'comment_count',
        'relationship' => 'none',
      ),
      'new_comments' => array(
        'label' => 'New replies',
        'set_precision' => FALSE,
        'precision' => 0,
        'decimal' => '.',
        'separator' => ',',
        'prefix' => '',
        'suffix' => ' new',
        'link_to_comment' => 1,
        'no_empty' => 1,
        'exclude' => 0,
        'id' => 'new_comments',
        'table' => 'node',
        'field' => 'new_comments',
        'relationship' => 'none',
      ),
      'last_comment_timestamp' => array(
        'label' => 'Last updated',
        'date_format' => 'time ago',
        'custom_date_format' => '',
        'exclude' => 0,
        'id' => 'last_comment_timestamp',
        'table' => 'node_comment_statistics',
        'field' => 'last_comment_timestamp',
        'relationship' => 'none',
      ),
      'name' => array(
        'label' => 'Assigned to',
        'link_to_user' => 1,
        'exclude' => 0,
        'id' => 'name',
        'table' => 'users',
        'field' => 'name',
        'relationship' => 'assigned',
      ),
    ));
    $handler->override_option('filters', array(
      'type' => array(
        'operator' => 'in',
        'value' => array(
          'project_issue' => 'project_issue',
        ),
        'group' => '0',
        'exposed' => FALSE,
        'expose' => array(
          'operator' => FALSE,
          'label' => '',
        ),
        'id' => 'type',
        'table' => 'node',
        'field' => 'type',
        'relationship' => 'none',
      ),
      'status_extra' => array(
        'operator' => '=',
        'value' => '',
        'group' => '0',
        'exposed' => FALSE,
        'expose' => array(
          'operator' => FALSE,
          'label' => '',
        ),
        'id' => 'status_extra',
        'table' => 'node',
        'field' => 'status_extra',
        'relationship' => 'none',
      ),
      'title' => array(
        'operator' => '=',
        'value' => '',
        'group' => '0',
        'exposed' => TRUE,
        'expose' => array(
          'use_operator' => 0,
          'operator' => 'title_op',
          'identifier' => 'title',
          'label' => 'Project',
          'optional' => 1,
          'remember' => 0,
        ),
        'case' => 0,
        'id' => 'title',
        'table' => 'node',
        'field' => 'title',
        'relationship' => 'pid',
      ),
      'sid' => array(
        'operator' => 'in',
        'value' => array(
          'open' => 'open',
        ),
        'group' => '0',
        'exposed' => TRUE,
        'expose' => array(
          'use_operator' => 0,
          'operator' => 'sid_op',
          'identifier' => 'status',
          'label' => 'Status',
          'optional' => 1,
          'single' => 1,
          'remember' => 0,
          'reduce' => 0,
        ),
        'id' => 'sid',
        'table' => 'project_issues',
        'field' => 'sid',
        'relationship' => 'none',
      ),
      'priority' => array(
        'operator' => 'in',
        'value' => array(),
        'group' => '0',
        'exposed' => TRUE,
        'expose' => array(
          'use_operator' => 0,
          'operator' => 'priority_op',
          'identifier' => 'priorities',
          'label' => 'Priority',
          'optional' => 1,
          'single' => 1,
          'remember' => 0,
          'reduce' => 0,
        ),
        'id' => 'priority',
        'table' => 'project_issues',
        'field' => 'priority',
        'relationship' => 'none',
      ),
      'category' => array(
        'operator' => 'in',
        'value' => array(),
        'group' => '0',
        'exposed' => TRUE,
        'expose' => array(
          'use_operator' => 0,
          'operator' => 'category_op',
          'identifier' => 'categories',
          'label' => 'Category',
          'optional' => 1,
          'single' => 1,
          'remember' => 0,
          'reduce' => 0,
        ),
        'id' => 'category',
        'table' => 'project_issues',
        'field' => 'category',
        'relationship' => 'none',
      ),
    ));
    $handler->override_option('arguments', array(
      'term_node_tid_depth' => array(
        'id' => 'term_node_tid_depth',
        'table' => 'node',
        'field' => 'term_node_tid_depth',
        'default_action' => 'not found',
        'style_plugin' => 'default_summary',
        'style_options' => array(
          'count' => TRUE,
          'override' => FALSE,
          'items_per_page' => 25,
        ),
        'wildcard' => 'all',
        'wildcard_substitution' => 'All',
        'title' => 'Project issues tagged with <em>%1</em>',
        'default_argument_type' => 'fixed',
        'default_argument' => '',
        'validate_type' => 'taxonomy_term',
        'validate_fail' => 'not found',
        'depth' => '0',
        'break_phrase' => 1,
        'relationship' => 'none',
        'default_argument_fixed' => '',
        'default_argument_php' => '',
        'validate_argument_node_type' => array(
          'album' => 0,
          'artist' => 0,
          'book' => 0,
          'page' => 0,
          'story' => 0,
          'track' => 0,
        ),
        'validate_argument_vocabulary' => array(
          '3' => 0,
          '4' => 0,
          '1' => 0,
          '5' => 0,
          '2' => 0,
        ),
        'validate_argument_type' => 'tids',
        'validate_argument_php' => '',
      ),
      'term_node_tid_depth_modifier' => array(
        'id' => 'term_node_tid_depth_modifier',
        'table' => 'node',
        'field' => 'term_node_tid_depth_modifier',
        'default_action' => 'ignore',
        'style_plugin' => 'default_summary',
        'style_options' => array(
          'count' => TRUE,
          'override' => FALSE,
          'items_per_page' => 25,
        ),
        'wildcard' => 'all',
        'wildcard_substitution' => 'All',
        'title' => '',
        'default_argument_type' => 'fixed',
        'default_argument' => '',
        'validate_type' => 'none',
        'validate_fail' => 'not found',
      ),
    ));
    $handler->override_option('access', array(
      'type' => 'none',
    ));
    $handler->override_option('title', 'Issues for all projects');
    $handler->override_option('items_per_page', 50);
    $handler->override_option('use_pager', '1');
    $handler->override_option('style_plugin', 'project_issue_table');
    $handler->override_option('style_options', array(
      'grouping' => '',
      'override' => 1,
      'sticky' => 0,
      'order' => 'desc',
      'columns' => array(
        'project_issue_queue' => 'project_issue_queue',
        'title' => 'title',
        'sid' => 'sid',
        'priority' => 'priority',
        'category' => 'category',
        'comment_count' => 'comment_count',
        'new_comments' => 'comment_count',
        'last_comment_timestamp' => 'last_comment_timestamp',
        'name' => 'name',
      ),
      'info' => array(
        'project_issue_queue' => array(
          'sortable' => 1,
          'separator' => '',
        ),
        'title' => array(
          'sortable' => 1,
          'separator' => '',
        ),
        'sid' => array(
          'sortable' => 1,
          'separator' => '',
        ),
        'priority' => array(
          'sortable' => 1,
          'separator' => '',
        ),
        'category' => array(
          'sortable' => 1,
          'separator' => '',
        ),
        'comment_count' => array(
          'sortable' => 1,
          'separator' => '<br />',
        ),
        'new_comments' => array(
          'separator' => '',
        ),
        'last_comment_timestamp' => array(
          'sortable' => 1,
          'separator' => '',
        ),
        'name' => array(
          'sortable' => 1,
          'separator' => '',
        ),
      ),
      'default' => 'last_comment_timestamp',
    ));
  
    $handler = $view->new_display('page', 'Page', 'page_1');
    $handler->override_option('path', 'project/issues-term/%');
    $handler->override_option('menu', array(
      'type' => 'normal',
      'title' => 'Issues',
      'weight' => '0',
      'name' => 'navigation',
    ));
    $handler->override_option('tab_options', array(
      'type' => 'none',
      'title' => '',
      'weight' => 0,
    ));
  
    $handler = $view->new_display('feed', 'Feed', 'feed');
    $handler->override_option('sorts', array(
      'last_comment_timestamp' => array(
        'order' => 'DESC',
        'granularity' => 'second',
        'id' => 'last_comment_timestamp',
        'table' => 'node_comment_statistics',
        'field' => 'last_comment_timestamp',
        'override' => array(
          'button' => 'Use default',
        ),
        'relationship' => 'none',
      ),
    ));
    $handler->override_option('style_plugin', 'rss');
    $handler->override_option('style_options', array(
      'mission_description' => FALSE,
      'description' => '',
    ));
    $handler->override_option('row_plugin', 'node_rss');
    $handler->override_option('path', 'project/issues-term/%/%/feed');
    $handler->override_option('menu', array(
      'type' => 'none',
      'title' => '',
      'weight' => 0,
      'name' => '',
    ));
    $handler->override_option('tab_options', array(
      'type' => 'none',
      'title' => '',
      'weight' => 0,
    ));
    $handler->override_option('displays', array(
      'page_1' => 'page_1',
      'default' => 0,
    ));
    $handler->override_option('sitename_title', FALSE);
  
    $handler = $view->new_display('feed', 'Views 1 feed', 'feed_1');
    $handler->override_option('items_per_page', 15);
    $handler->override_option('use_pager', '1');
    $handler->override_option('row_plugin', 'node_rss');
    $handler->override_option('row_options', array(
      'item_length' => 'default',
    ));
    $handler->override_option('path', 'project/issues-term/%/feed');
    $handler->override_option('menu', array(
      'type' => 'none',
      'title' => '',
      'weight' => 0,
    ));
    $handler->override_option('tab_options', array(
      'type' => 'none',
      'title' => '',
      'weight' => 0,
    ));
  
    $views[$view->name] = $view;
  
    // ----------------------------------------
    // Term view for a specific project
    // ----------------------------------------
  
    $view = new view;
    $view->name = 'project_issues_tag_by_project';
    $view->description = 'Project issues by project by issue tag';
    $view->tag = 'Project issue';
    $view->view_php = '';
    $view->base_table = 'node';
    $view->is_cacheable = FALSE;
    $view->api_version = 2;
    $view->disabled = FALSE;
  
    $handler = $view->new_display('default', 'Defaults', 'default');
    $handler->override_option('relationships', array(
      'assigned' => array(
        'label' => 'Assigned user',
        'required' => 0,
        'id' => 'assigned',
        'table' => 'project_issues',
        'field' => 'assigned',
        'relationship' => 'none',
      ),
      'rid' => array(
        'label' => 'Version',
        'required' => 0,
        'id' => 'rid',
        'table' => 'project_issues',
        'field' => 'rid',
        'relationship' => 'none',
      ),
    ));
    $handler->override_option('fields', array(
      'title' => array(
        'label' => 'Summary',
        'link_to_node' => 1,
        'exclude' => 0,
        'id' => 'title',
        'table' => 'node',
        'field' => 'title',
        'relationship' => 'none',
      ),
      'sid' => array(
        'id' => 'sid',
        'table' => 'project_issues',
        'field' => 'sid',
      ),
      'priority' => array(
        'id' => 'priority',
        'table' => 'project_issues',
        'field' => 'priority',
      ),
      'category' => array(
        'label' => 'Category',
        'link_to_node' => 0,
        'exclude' => 0,
        'id' => 'category',
        'table' => 'project_issues',
        'field' => 'category',
        'relationship' => 'none',
      ),
      'version' => array(
        'label' => 'Version',
        'link_to_node' => 0,
        'exclude' => 0,
        'id' => 'version',
        'table' => 'project_release_nodes',
        'field' => 'version',
        'relationship' => 'rid',
      ),
      'component' => array(
        'label' => 'Component',
        'link_to_node' => 0,
        'exclude' => 0,
        'id' => 'component',
        'table' => 'project_issues',
        'field' => 'component',
        'relationship' => 'none',
      ),
      'comment_count' => array(
        'label' => 'Replies',
        'set_precision' => FALSE,
        'precision' => 0,
        'decimal' => '.',
        'separator' => ',',
        'prefix' => '',
        'suffix' => '',
        'exclude' => 0,
        'id' => 'comment_count',
        'table' => 'node_comment_statistics',
        'field' => 'comment_count',
        'relationship' => 'none',
      ),
      'new_comments' => array(
        'label' => 'New replies',
        'set_precision' => FALSE,
        'precision' => 0,
        'decimal' => '.',
        'separator' => ',',
        'prefix' => '',
        'suffix' => ' new',
        'link_to_comment' => 1,
        'no_empty' => 1,
        'exclude' => 0,
        'id' => 'new_comments',
        'table' => 'node',
        'field' => 'new_comments',
        'relationship' => 'none',
      ),
      'last_comment_timestamp' => array(
        'label' => 'Last updated',
        'date_format' => 'time ago',
        'custom_date_format' => '',
        'exclude' => 0,
        'id' => 'last_comment_timestamp',
        'table' => 'node_comment_statistics',
        'field' => 'last_comment_timestamp',
        'relationship' => 'none',
      ),
      'name' => array(
        'label' => 'Assigned to',
        'link_to_user' => 1,
        'exclude' => 0,
        'id' => 'name',
        'table' => 'users',
        'field' => 'name',
        'relationship' => 'assigned',
      ),
    ));
    $handler->override_option('arguments', array(
      'pid' => array(
        'default_action' => 'not found',
        'style_plugin' => 'default_summary',
        'style_options' => array(),
        'wildcard' => '',
        'wildcard_substitution' => '',
        'title' => 'Issues for %1',
        'default_argument_type' => 'fixed',
        'default_argument' => '',
        'validate_type' => 'project_nid',
        'validate_fail' => 'not found',
        'break_phrase' => 0,
        'not' => 0,
        'id' => 'pid',
        'table' => 'project_issues',
        'field' => 'pid',
        'relationship' => 'none',
        'default_options_div_prefix' => '',
        'default_argument_user' => 0,
        'default_argument_fixed' => '',
        'default_argument_php' => '',
      ),
      'term_node_tid_depth' => array(
        'id' => 'term_node_tid_depth',
        'table' => 'node',
        'field' => 'term_node_tid_depth',
        'default_action' => 'not found',
        'style_plugin' => 'default_summary',
        'style_options' => array(
          'count' => TRUE,
          'override' => FALSE,
          'items_per_page' => 25,
        ),
        'wildcard' => 'all',
        'wildcard_substitution' => 'All',
        'title' => 'Issues for <em>%1</em> tagged with <em>%2</em>',
        'default_argument_type' => 'fixed',
        'default_argument' => '',
        'validate_type' => 'taxonomy_term',
        'validate_fail' => 'not found',
        'depth' => '0',
        'break_phrase' => 1,
        'relationship' => 'none',
        'default_argument_fixed' => '',
        'default_argument_php' => '',
        'validate_argument_node_type' => array(
          'album' => 0,
          'artist' => 0,
          'book' => 0,
          'page' => 0,
          'story' => 0,
          'track' => 0,
        ),
        'validate_argument_vocabulary' => array(
          '3' => 0,
          '4' => 0,
          '1' => 0,
          '5' => 0,
          '2' => 0,
        ),
        'validate_argument_type' => 'tids',
        'validate_argument_php' => '',
      ),
      'term_node_tid_depth_modifier' => array(
        'id' => 'term_node_tid_depth_modifier',
        'table' => 'node',
        'field' => 'term_node_tid_depth_modifier',
        'default_action' => 'ignore',
        'style_plugin' => 'default_summary',
        'style_options' => array(
          'count' => TRUE,
          'override' => FALSE,
          'items_per_page' => 25,
        ),
        'wildcard' => 'all',
        'wildcard_substitution' => 'All',
        'title' => '',
        'default_argument_type' => 'fixed',
        'default_argument' => '',
        'validate_type' => 'none',
        'validate_fail' => 'not found',
      ),
    ));
    $handler->override_option('filters', array(
      'type' => array(
        'operator' => 'in',
        'value' => array(
          'project_issue' => 'project_issue',
        ),
        'group' => '0',
        'exposed' => FALSE,
        'expose' => array(
          'operator' => FALSE,
          'label' => '',
        ),
        'id' => 'type',
        'table' => 'node',
        'field' => 'type',
        'relationship' => 'none',
      ),
      'status_extra' => array(
        'operator' => '=',
        'value' => '',
        'group' => '0',
        'exposed' => FALSE,
        'expose' => array(
          'operator' => FALSE,
          'label' => '',
        ),
        'id' => 'status_extra',
        'table' => 'node',
        'field' => 'status_extra',
        'relationship' => 'none',
      ),
      'sid' => array(
        'operator' => 'in',
        'value' => array(
          'open' => 'open',
        ),
        'group' => '0',
        'exposed' => TRUE,
        'expose' => array(
          'use_operator' => 0,
          'operator' => 'sid_op',
          'identifier' => 'status',
          'label' => 'Status',
          'optional' => 1,
          'single' => 1,
          'remember' => 0,
          'reduce' => 0,
        ),
        'id' => 'sid',
        'table' => 'project_issues',
        'field' => 'sid',
        'relationship' => 'none',
      ),
      'priority' => array(
        'operator' => 'in',
        'value' => array(),
        'group' => '0',
        'exposed' => TRUE,
        'expose' => array(
          'use_operator' => 0,
          'operator' => 'priority_op',
          'identifier' => 'priorities',
          'label' => 'Priority',
          'optional' => 1,
          'single' => 1,
          'remember' => 0,
          'reduce' => 0,
        ),
        'id' => 'priority',
        'table' => 'project_issues',
        'field' => 'priority',
        'relationship' => 'none',
      ),
      'category' => array(
        'operator' => 'in',
        'value' => array(),
        'group' => '0',
        'exposed' => TRUE,
        'expose' => array(
          'use_operator' => 0,
          'operator' => 'category_op',
          'identifier' => 'categories',
          'label' => 'Category',
          'optional' => 1,
          'single' => 1,
          'remember' => 0,
          'reduce' => 0,
        ),
        'id' => 'category',
        'table' => 'project_issues',
        'field' => 'category',
        'relationship' => 'none',
      ),
      'rid' => array(
        'operator' => 'in',
        'value' => array(),
        'group' => '0',
        'exposed' => TRUE,
        'expose' => array(
          'use_operator' => 0,
          'operator' => 'rid_op',
          'identifier' => 'version',
          'label' => 'Version',
          'optional' => 1,
          'single' => 1,
          'remember' => 0,
          'reduce' => 0,
        ),
        'id' => 'rid',
        'table' => 'project_issues',
        'field' => 'rid',
        'relationship' => 'none',
      ),
      'component' => array(
        'operator' => 'in',
        'value' => array(),
        'group' => '0',
        'exposed' => TRUE,
        'expose' => array(
          'use_operator' => 0,
          'operator' => 'component_op',
          'identifier' => 'component',
          'label' => 'Component',
          'optional' => 1,
          'single' => 1,
          'remember' => 0,
          'reduce' => 0,
        ),
        'id' => 'component',
        'table' => 'project_issues',
        'field' => 'component',
        'relationship' => 'none',
      ),
    ));
    $handler->override_option('access', array(
      'type' => 'none',
    ));
    $handler->override_option('title', 'Issues by project');
    $handler->override_option('items_per_page', 50);
    $handler->override_option('use_pager', '1');
    $handler->override_option('style_plugin', 'project_issue_table');
    $handler->override_option('style_options', array(
      'grouping' => '',
      'override' => 1,
      'sticky' => 0,
      'order' => 'desc',
      'columns' => array(
        'title' => 'title',
        'sid' => 'sid',
        'priority' => 'priority',
        'category' => 'category',
        'version' => 'version',
        'component' => 'component',
        'comment_count' => 'comment_count',
        'new_comments' => 'comment_count',
        'last_comment_timestamp' => 'last_comment_timestamp',
        'name' => 'name',
      ),
      'info' => array(
        'title' => array(
          'sortable' => 1,
          'separator' => '',
        ),
        'sid' => array(
          'sortable' => 1,
          'separator' => '',
        ),
        'priority' => array(
          'sortable' => 1,
          'separator' => '',
        ),
        'category' => array(
          'sortable' => 1,
          'separator' => '',
        ),
        'version' => array(
          'sortable' => 1,
          'separator' => '',
        ),
        'component' => array(
          'sortable' => 1,
          'separator' => '',
        ),
        'comment_count' => array(
          'sortable' => 1,
          'separator' => '<br />',
        ),
        'new_comments' => array(
          'separator' => '',
        ),
        'last_comment_timestamp' => array(
          'sortable' => 1,
          'separator' => '',
        ),
        'name' => array(
          'sortable' => 1,
          'separator' => '',
        ),
      ),
      'default' => 'last_comment_timestamp',
    ));
  
    $handler = $view->new_display('page', 'Page', 'page_1');
    $handler->override_option('path', 'project/issues/%/term/%');
    $handler->override_option('menu', array(
      'type' => 'none',
      'title' => '',
      'weight' => '0',
      'name' => '',
    ));
    $handler->override_option('tab_options', array(
      'type' => 'none',
      'title' => '',
      'weight' => 0,
    ));
  
    $handler = $view->new_display('feed', 'Feed', 'feed');
    $handler->override_option('sorts', array(
      'last_comment_timestamp' => array(
        'order' => 'DESC',
        'granularity' => 'second',
        'id' => 'last_comment_timestamp',
        'table' => 'node_comment_statistics',
        'field' => 'last_comment_timestamp',
        'override' => array(
          'button' => 'Use default',
        ),
        'relationship' => 'none',
      ),
    ));
    $handler->override_option('style_plugin', 'rss');
    $handler->override_option('style_options', array(
      'mission_description' => FALSE,
      'description' => '',
    ));
    $handler->override_option('row_plugin', 'node_rss');
    $handler->override_option('path', 'project/issues/%/term/%/%/feed');
    $handler->override_option('menu', array(
      'type' => 'none',
      'title' => '',
      'weight' => 0,
      'name' => '',
    ));
    $handler->override_option('tab_options', array(
      'type' => 'none',
      'title' => '',
      'weight' => 0,
    ));
    $handler->override_option('displays', array(
      'page_1' => 'page_1',
      'default' => 0,
    ));
    $handler->override_option('sitename_title', FALSE);
  
    $handler = $view->new_display('feed', 'Views 1 feed', 'feed_1');
    $handler->override_option('items_per_page', 15);
    $handler->override_option('use_pager', '1');
    $handler->override_option('row_plugin', 'node_rss');
    $handler->override_option('row_options', array(
      'item_length' => 'default',
    ));
    $handler->override_option('path', 'project/issues/%/term/%/feed');
    $handler->override_option('menu', array(
      'type' => 'none',
      'title' => '',
      'weight' => 0,
    ));
    $handler->override_option('tab_options', array(
      'type' => 'none',
      'title' => '',
      'weight' => 0,
    ));
  
    $views[$view->name] = $view;
  }

  return $views;
}

